--- title: "v1 Publish message to the server" slug: "publish-message-to-the-server-1" updated: 2024-03-26T16:37:23Z published: 2024-03-26T16:37:23Z canonical: "help.rapididentity.com/publish-message-to-the-server-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://help.rapididentity.com/llms.txt > Use this file to discover all available pages before exploring further. # v1 Publish message to the server Post/v1/tenants/{tenantId}/projects/{projectId}/topics/{topicId}:publish Publish single or multiple messages to the server via a topic SecurityAPI KeyHeader parameter nameAuthorization AWS Cognito Authorizer. Since there are no custom scopes the ID Token must be used for authorization Path parameterstenantIdstringRequired The RapidIdentity Cloud tenant id projectIdstringRequired The project id this service belongs. MUST be builtin or custom topicIdstringRequired The routing key name. Must not contain builtin_ or custom_ as these are reserved words Body parameters The messages in the request to publish Expand Allobjectmessages Array of object (PubsubMessageV1) Requiredobjectdatastring Required messageIdstring Required publishTimestring Required Responses200 200 response objectmessageIds Array of string The server assigned ID of each published message, in the same order as the messages in the request. IDs are guaranteed to be unique within the topic string 400 Body is not present or formatted incorrectly objecterrorstring 403 The request is not authorized. Check that an api key exists and that the api key is valid for the tenantId objecterrorstring 500 Unable to retrieve queue as name does not exist objecterrorstring 501 The request does not have a projectId of custom or builtin objecterrorstring 503 Unable to connect to pubsub service objecterrorstring